Bug 178413 - japanese/anthy doesn't work on emacs-24.3
Summary: japanese/anthy doesn't work on emacs-24.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: MANTANI Nobutaka
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-08 07:50 UTC by Yuichiro NAITO
Modified: 2013-05-14 18:10 UTC (History)
0 users

See Also:


Attachments
file.diff (310 bytes, patch)
2013-05-08 07:50 UTC, Yuichiro NAITO
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuichiro NAITO 2013-05-08 07:50:00 UTC
I'm using anthy for Japanese Kanji input method.
'last-command-char' emacs lisp function is used in anthy.el.
But it is obsoleted on emacs-24.
Emacs-24 shows an error message "Symbol's value as variable is void: last-command-char",
when I input Kana letters to translate Kanji.

Fix: Replace function name from 'last-command-char' to 'last-command-event'.


Patch attached with submission follows:
How-To-Repeat: Install emacs-24 and japanese/anthy.
Add following emacs lisp in ~/.emacs.

(set-language-environment "Japanese")
(load-library "anthy")
(set-input-method 'japanese-anthy)

Input Kana letters to translate Kanji on emacs-24.
Comment 1 Edwin Groothuis freebsd_committer 2013-05-08 07:50:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nobutaka

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-05-14 18:06:14 UTC
Author: nobutaka
Date: Tue May 14 17:06:06 2013
New Revision: 318179
URL: http://svnweb.freebsd.org/changeset/ports/318179

Log:
  Fix incompatibility of anthy.el with Emacs 24.
  
  PR:		ports/178413
  Submitted by:	Yuichiro NAITO <naito.yuichiro@gmail.com>

Added:
  head/japanese/anthy/files/
  head/japanese/anthy/files/patch-src-util_anthy.el   (contents, props changed)
Modified:
  head/japanese/anthy/Makefile   (contents, props changed)

Modified: head/japanese/anthy/Makefile
==============================================================================
--- head/japanese/anthy/Makefile	Tue May 14 16:51:16 2013	(r318178)
+++ head/japanese/anthy/Makefile	Tue May 14 17:06:06 2013	(r318179)
@@ -3,6 +3,7 @@
 
 PORTNAME=	anthy
 PORTVERSION=	9100h
+PORTREVISION=	1
 CATEGORIES=	japanese
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE_JP}
 MASTER_SITE_SUBDIR=	${PORTNAME}/37536

Added: head/japanese/anthy/files/patch-src-util_anthy.el
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/japanese/anthy/files/patch-src-util_anthy.el	Tue May 14 17:06:06 2013	(r318179)
@@ -0,0 +1,11 @@
+--- src-util/anthy.el.orig	2013-05-15 01:57:21.000000000 +0900
++++ src-util/anthy.el	2013-05-15 01:58:25.000000000 +0900
+@@ -892,7 +892,7 @@
+ 	 ((event-matches-key-specifier-p event 'backspace) 8)
+ 	 (t
+ 	  (char-to-int (event-to-character event)))))
+-    last-command-char))
++    last-command-event))
+ 
+ ;;
+ ;;
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 MANTANI Nobutaka freebsd_committer 2013-05-14 18:06:44 UTC
State Changed
From-To: open->closed

Committed, thanks!